<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\KursUebersicht\PdfListen\KurseListen\ShowSettingsKurseListen;


class ShowSettingsKurseListenController extends \Kufer\KuferTools\Dozent\KursUebersicht\DrucklistenAllgemein\Drucklisten\ShowSettingsKurseListen\ShowSettingsDruckListenAllgemeinController
{
  
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new ShowSettingsKurseListenUseCase(
      $this->getRequestObj()
    );
  }

  
  protected function getPresenter($pUseCaseResponse)
  {
    return new \Kufer\KuferTools\Basis\PdfListen\KurseListen\ShowSettingsKurseListen\ShowSettingsKurseListenPresenter($pUseCaseResponse);
  }
}